القائمة

apiMyOrderSlice

استعلاميتطلب مفتاحًا

الوسائط

الاسمالنوعالوصف
sliceIdString!مطلوب

يُرجع

SellerOrderSliceView!

مثال

GraphQL
query ApiMyOrderSlice($sliceId: String!) {
  apiMyOrderSlice(sliceId: $sliceId) {
    codAmountMillimes
    contactName
    contactPhone
    customerNote
    orderId
    orderNo
    orderStatus
    paymentMethod
    placedAt
    shippingAddress {
      city
      countryCode
      delegationId
      delegationName
      directions
      firstName
      governorateCode
      governorateId
      governorateName
      lastName
      phone
      postcode
      street
      street2
    }
    slice {
      carrierCode
      commissionFixedMillimes
      commissionHtMillimes
      commissionPercentBps
      commissionRuleRef
      commissionTtcMillimes
      correctionId
      deliveredAt
      discountMillimes
      exceptionReason
      facilityCode
      fulfilmentMode
      giftMessage
      giftPackagingMillimes
      handedOverAt
      handlingDays
      handlingHtMillimes
      handlingMode
      handlingTtcMillimes
      id
      inboundMode
      isGift
      kind
      liveSale
      organizationId
      packagingBoxMillimes
      packagingMillimes
      packagingProtectionMillimes
      packagingSellerFundedMillimes
      preparedAt
      promisedAt
      sellerAckDueAt
      sellerAcknowledgedAt
      sellerDeclineReason
      sellerDeclinedAt
      sellerNetMillimes
      shippingShareMillimes
      sliceNo
      slotDueAt
      sourceRmaId
      status
      storageType
      subtotalMillimes
      trackingNumber
      wamiaFundedMillimes
    }
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"query ApiMyOrderSlice($sliceId: String!) { apiMyOrderSlice(sliceId: $sliceId) { codAmountMillimes contactName contactPhone customerNote orderId orderNo orderStatus paymentMethod placedAt shippingAddress { city countryCode delegationId delegationName directions firstName governorateCode governorateId governorateName lastName phone postcode street street2 } slice { carrierCode commissionFixedMillimes commissionHtMillimes commissionPercentBps commissionRuleRef commissionTtcMillimes correctionId deliveredAt discountMillimes exceptionReason facilityCode fulfilmentMode giftMessage giftPackagingMillimes handedOverAt handlingDays handlingHtMillimes handlingMode handlingTtcMillimes id inboundMode isGift kind liveSale organizationId packagingBoxMillimes packagingMillimes packagingProtectionMillimes packagingSellerFundedMillimes preparedAt promisedAt sellerAckDueAt sellerAcknowledgedAt sellerDeclineReason sellerDeclinedAt sellerNetMillimes shippingShareMillimes sliceNo slotDueAt sourceRmaId status storageType subtotalMillimes trackingNumber wamiaFundedMillimes } } }"}'